
<!-- start project-info -->
<!--
project_title: Tasker
github_project: https://github.com/atareao/tasker
license: MIT
icon: /datos/Sync/Programacion/Python/tasker/data/icons/scalable/apps/tasker.svg
homepage: https://www.atareao.es/aplicacion/tasker
license-badge: True
contributors-badge: True
lastcommit-badge: True
codefactor-badge: True
--->

<!-- end project-info -->

<!-- start badges -->

![License MIT](https://img.shields.io/badge/MIT-license-green)
![Contributors](https://img.shields.io/github/contributors-anon/atareao/tasker)
![Last commit](https://img.shields.io/github/last-commit/atareao/tasker)
[![CodeFactor](https://www.codefactor.io/repository/github/atareao/tasker/badge/master)](https://www.codefactor.io/repository/github/atareao/tasker/overview/master)
<!-- end badges -->

<!-- start description -->
<h1 align="center">Welcome to <span id="project_title">Tasker</span> 👋</h1>
<p>
<a href="https://www.atareao.es/aplicacion/tasker" id="homepage" rel="nofollow">
<img align="right" height="128" id="icon" src="data/icons/scalable/apps/tasker.svg" width="128"/>
</a>
</p>
<h2>🏠 <a href="https://www.atareao.es/aplicacion/tasker" id="homepage">Homepage</a></h2>
<p><span id="project_title">Tasker</span> is a simple application to help you to get your tasks done. This app follows Todo.txt criteria.

<!-- end description -->

<!-- start prerequisites -->
## Prerequisites

Before you begin, ensure you have met the following requirements:

* If you install it from PPA don't worry about, becouse all the requirements are included in the package
* If you clone the repository, you need, at least, these dependecies,

```
gir1.2-gtk-3.0
gir1.2-glib-2.0
gir1.2-gdkpixbuf-2.0
gir1.2-appindicator3-0.1
gir1.2-keybinder-3.0
```

<!-- end prerequisites -->

<!-- start installing -->
## Installing <span id="project_title">Tasker</span>

To install <span id="project_title">Tasker</span>, follow these steps:

* In a terminal (`Ctrl+Alt+T`), run these commands

```
sudo add-apt-repository ppa:atareao/atareao
sudo apt update
sudo apt install readmemaker
```


<!-- end installing -->

<!-- start using -->
## Using <span id="project_title">Tasker</span>

When you start **<span id="project_title">Tasker</span>** it goes to Indicator Area, as you can see in the next screenshot,

![tasker](./screenshots/screenshot_01.png)

In this screenshot, the language is Spanish, but, if there is no translation for your language, you will find the app in English.

You can set some options in order to start *Tasker* when you start your Operative System.

* Set the icon theme. Dark or light.
* Start Tasker with your Operative System
* Set the number of tasks you want to show in the indicator menu
* Set the tasks files. The file must follow the Todo.txt syntax.

![Example 2](./screenshots/screenshot_06.png)

You can add so many projects as you need in the configuration dialog, as you can see in the next screenshot.

![Example 2](./screenshots/screenshot_07.png)

Same, for contexts.

![Example 2](./screenshots/screenshot_08.png)

You can add optional tags. Every tag can be or a string or a date. So you can add a *due* tag to set the date when the task must be completed or an *id* to save an special


![Example 2](./screenshots/screenshot_09.png)

Besides you can set the colors of the graphics

![Configuration](./screenshots/screenshot_02.png)

In the next screenshot you can see the about

![About](./screenshots/screenshot_03.png)

In the next screenshots you can see some samples of my use of *tasker*,

![Example 1](./screenshots/screenshot_04.png)

![Example 2](./screenshots/screenshot_05.png)

<!-- end using -->

<!-- start contributing -->
## Contributing to <span id="project_title">Tasker</span>

To contribute to **<span id="project_title">Tasker</span>**, follow these steps:

1. Fork this repository.
2. Create a branch: `git checkout -b <branch_name>`.
3. Make your changes and commit them: `git commit -m '<commit_message>'`
4. Push to the original branch: `git push origin atareao/readmemaker`
5. Create the pull request.

Alternatively see the GitHub documentation on [creating a pull request](https://help.github.com/en/github/collaborating-with-issues-and-pull-requests/creating-a-pull-request).
</commit_message></branch_name>

<!-- end contributing -->

<!-- start contributors -->
## 👤 Contributors ✨

Thanks goes to these wonderful people ([emoji key](https://allcontributors.org/docs/en/emoji-key)):

<!-- end contributors -->

<!-- start table-contributors -->

<table id="contributors">
	<tr id="info_avatar">
		<td id="Adrian-Benavente" align="center">
			<a href="https://github.com/Adrian-Benavente">
				<img src="https://avatars2.githubusercontent.com/u/11258517?v=4" width="100px"/>
			</a>
		</td>
		<td id="aritztg" align="center">
			<a href="https://github.com/aritztg">
				<img src="https://avatars3.githubusercontent.com/u/4686790?v=4" width="100px"/>
			</a>
		</td>
		<td id="atareao" align="center">
			<a href="https://github.com/atareao">
				<img src="https://avatars3.githubusercontent.com/u/298055?v=4" width="100px"/>
			</a>
		</td>
		<td id="flachica" align="center">
			<a href="https://github.com/flachica">
				<img src="https://avatars2.githubusercontent.com/u/747459?v=4" width="100px"/>
			</a>
		</td>
		<td id="metrolan" align="center">
			<a href="https://github.com/metrolan">
				<img src="https://avatars3.githubusercontent.com/u/13301193?v=4" width="100px"/>
			</a>
		</td>
		<td id="Montsemg" align="center">
			<a href="https://github.com/Montsemg">
				<img src="https://avatars2.githubusercontent.com/u/65096362?v=4" width="100px"/>
			</a>
		</td>
	</tr>
	<tr id="info_name">
		<td id="Adrian-Benavente" align="center">
			<a href="https://github.com/Adrian-Benavente">
				<strong>Adrian Benavente</strong>
			</a>
		</td>
		<td id="aritztg" align="center">
			<a href="https://github.com/aritztg">
				<strong>Aritz Tusell</strong>
			</a>
		</td>
		<td id="atareao" align="center">
			<a href="https://github.com/atareao">
				<strong>Lorenzo Carbonell</strong>
			</a>
		</td>
		<td id="flachica" align="center">
			<a href="https://github.com/flachica">
				<strong>Fernando</strong>
			</a>
		</td>
		<td id="metrolan" align="center">
			<a href="https://github.com/metrolan">
				<strong>metrolan</strong>
			</a>
		</td>
		<td id="Montsemg" align="center">
			<a href="https://github.com/Montsemg">
				<strong>Montsemg</strong>
			</a>
		</td>
	</tr>
	<tr id="info_commit">
		<td id="Adrian-Benavente" align="center">
			<a href="/commits?author=Adrian-Benavente">
				<span id="role">🐛</span>
			</a>
		</td>
		<td id="aritztg" align="center">
			<a href="/commits?author=aritztg">
				<span id="role">🐛</span>
			</a>
		</td>
		<td id="atareao" align="center">
			<a href="/commits?author=atareao">
				<span id="role">💻</span>
			</a>
		</td>
		<td id="flachica" align="center">
			<a href="/commits?author=flachica">
				<span id="role">💻</span>
			</a>
		</td>
		<td id="metrolan" align="center">
			<a href="/commits?author=metrolan">
				<span id="role">🐛</span>
			</a>
		</td>
		<td id="Montsemg" align="center">
			<a href="/commits?author=Montsemg">
				<span id="role">🐛</span>
			</a>
		</td>
	</tr>
</table>
<!-- end table-contributors -->
